<?xml version="1.0"?>
<launch>

    <arg name="is_sim" default="false"/>

    <rosparam file="$(find robot_arm_controller)/config/trayectory_controllers.yaml" command="load" />
    <rosparam file="$(find robot_arm_controller)/config/joint_state_controller.yaml" command="load" />
    
    <arg name="model" default="$(find robot_arm)/urdf/robot_arm_simulation.urdf.xacro"/>

    <group unless="$(arg is_sim)">
        <node name="angles_converter" pkg="robot_arm_controller" type="angles_converter.py" respawn="true"/>
        <node pkg="robot_arm_controller" type="robotarm_interface_node" name="robot_arm_interface_node" respawn="true" output="screen" ns="robot_arm"/>
    </group>

    <node pkg="controller_manager" type="spawner" name="controller_spawner" respawn="false" output="screen" ns="robot_arm"
            args="arm_controller gripper_controller joint_state_controller"/>

    <node name="robot_state_publisher" pkg="robot_state_publisher" type="robot_state_publisher" respawn="false" output="screen">
        <remap from="/joint_states" to="/robot_arm/joint_states" />
    </node>
</launch>